pub(crate) mod cacheable;
pub(crate) mod cached_value;
pub mod capabilities;
pub mod extern_ref;
pub mod ffi_array;
pub mod script;

pub use capabilities::*;

pub(crate) use cacheable::Cacheable;
pub use script::Script;

#[repr(u8)]
pub enum ScriptCategory {
    Move,
    Ability,
    Status,
    Pokemon,
    Battle,
    Side,
    ItemBattleTrigger,
}
