#![feature(inline_const)]
#![feature(inline_const_pat)]
#![feature(wasm_abi)]
#![no_std]
#![allow(incomplete_features)]

extern crate alloc;

use alloc::boxed::Box;
use pkmn_lib_interface::set_load_script_fn;

#[macro_use]

pub mod registered_scripts;
pub mod test_script;

#[no_mangle]
extern "wasm" fn _init() {
    set_load_script_fn(Box::new(registered_scripts::get_script));
}
